Safe Haskell | Safe-Inferred

TypeFamilies

Synopsis

- type family G a :: *
- class A a where
  - data B a :: * -> *
  - f :: B a Int
- type family F a
- g :: B Int Integer

# Documentation

type family G a :: *

Type family G

class A a where

A class with an associated type

Associated Types

data B a :: * -> *

An associated type

Methods

f :: B a Int

A method

Instances

A Int |

type family F a

Doc for family

g :: B Int Integer